%global modulename from2

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-from2
Version:        2.3.0
Release:        1%{?dist}
Summary:        Convenience wrapper for ReadableStream, with an API lifted from "from" and "through2"

License:        MIT
URL:            https://github.com/hughsk/from2
Source0:        https://registry.npmjs.org/from2/-/from2-2.3.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(inherits) >= 2.0.1 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.0.0 with npmlib(readable-stream) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Convenience wrapper for ReadableStream, with an API lifted from "from" and "through2"

%package 2.3.0
Summary:        Convenience wrapper for ReadableStream, with an API lifted from "from" and "through2"


%description 2.3.0
Convenience wrapper for ReadableStream, with an API lifted from "from" and "through2"

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.3.0
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 2.3.0-1
- Package automatically generated by npm2srpm
